SplPriorityQueue::count
SplPriorityQueue::extract
SplPriorityQueue
PHP Manual

# SplPriorityQueue::current

(PHP 5 >= 5.3.0)

SplPriorityQueue::current — Return current node pointed by the iterator

### Description

public mixed SplPriorityQueue::current ( void )

Get the current datastructure node.

### Parameters

This function has no parameters.

### Return Values

The value or priority (or both) of the current node, depending on the extract flag.

SplPriorityQueue::count
SplPriorityQueue::extract
SplPriorityQueue
PHP Manual